# Class TagReport

java.lang.Object
net.sf.statcvs.reports.TagReport

All Implemented Interfaces:
  `TableReport`

public class TagReport extends Object implements TableReport
Collects information about repository tags.

Version:
  $Id: TagReport.java,v 1.3 2009/08/22 10:30:42 benoitx Exp $
Author:
  Richard Cyganiak (richard@cyganiak.de)

## Constructor Summary

Constructors
Constructor
Description
`TagReport(ReportConfig config)`

## Method Summary

Modifier and Type
Method
Description
`void`
`calculate()`
Calculates the report from the source data.
`Table`
`getTable()`
Returns the table data model.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TagReport

public TagReport(ReportConfig config)

## Method Details

### calculate

public void calculate()
Description copied from interface: `TableReport`
Calculates the report from the source data.

Specified by:
  `calculate` in interface `TableReport`

### getTable

public Table getTable()
Description copied from interface: `TableReport`
Returns the table data model.

Specified by:
  `getTable` in interface `TableReport`
Returns:
  the table data model